PowerModelSquare (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.power.models

## Class PowerModelSquare

- java.lang.Object
- - org.cloudbus.cloudsim.power.models.PowerModelSquare

- All Implemented Interfaces:
    PowerModel

      public class PowerModelSquare
      extends Object
      implements PowerModel

  The Class PowerModelSquare. If you are using any algorithms, policies or workload included in the power package, please cite the following paper: Anton Beloglazov, and Rajkumar Buyya, "Optimal Online Deterministic Algorithms and Adaptive Heuristics for Energy and Performance Efficient Dynamic Consolidation of Virtual Machines in Cloud Data Centers", Concurrency and Computation: Practice and Experience, ISSN: 1532-0626, Wiley Press, New York, USA, 2011, DOI: 10.1002/cpe.1867
  Since:
    CloudSim Toolkit 2.0
  Author:
    Anton Beloglazov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PowerModelSquare(double maxPower, double staticPowerPercent)` Instantiates a new power model square.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected double` | `getConstant()` Gets the constant.
    `protected double` | `getMaxPower()` Gets the max power.
    `double` | `getPower(double utilization)` Get power consumption by the utilization percentage according to the power model.
    `protected double` | `getStaticPower()` Gets the static power.
    `protected void` | `setConstant(double constant)` Sets the constant.
    `protected void` | `setMaxPower(double maxPower)` Sets the max power.
    `protected void` | `setStaticPower(double staticPower)` Sets the static power.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PowerModelSquare

          public PowerModelSquare(double maxPower,
                          double staticPowerPercent)

      Instantiates a new power model square.
      Parameters:
        `maxPower` - the max power
        `staticPowerPercent` - the static power percent

  - ### Method Detail

    - #### getPower

          public double getPower(double utilization)
                          throws IllegalArgumentException

      Description copied from interface: `PowerModel`
      Get power consumption by the utilization percentage according to the power model.
      Specified by:
        `getPower` in interface `PowerModel`
      Parameters:
        `utilization` - the utilization
      Returns:
        power consumption
      Throws:
        `IllegalArgumentException` - the illegal argument exception

    - #### getMaxPower

          protected double getMaxPower()

      Gets the max power.
      Returns:
        the max power

    - #### setMaxPower

          protected void setMaxPower(double maxPower)

      Sets the max power.
      Parameters:
        `maxPower` - the new max power

    - #### getConstant

          protected double getConstant()

      Gets the constant.
      Returns:
        the constant

    - #### setConstant

          protected void setConstant(double constant)

      Sets the constant.
      Parameters:
        `constant` - the new constant

    - #### getStaticPower

          protected double getStaticPower()

      Gets the static power.
      Returns:
        the static power

    - #### setStaticPower

          protected void setStaticPower(double staticPower)

      Sets the static power.
      Parameters:
        `staticPower` - the new static power

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.